using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.Entities.Groups
{
    /// <summary>
    /// 拜访团组客户
    /// </summary>
    [SugarTable("Grp_VisitingClients")]
    public class Grp_VisitingClients:EntityBase
    {
        /// <summary>
        /// 团组Id
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int DiId { get; set; }

        /// <summary>
        /// 拜访时间 - 开始
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "datetime")]
        public DateTime BeginDt { get; set; }

        /// <summary>
        /// 拜访时间 - 结束
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "datetime")]
        public DateTime EndDt { get; set; }

        /// <summary>
        /// 客户单位
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(100)")]
        public string CustomerUnit { get; set; }

        /// <summary>
        /// 客户职务
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string CustomerJob { get; set; }

        /// <summary>
        /// 客户名称
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(30)")]
        public string CustomerName { get; set; }

        /// <summary>
        /// 客户联系方式
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(30)")]
        public string CustomerContact { get; set; }
    }
}
